#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libhubbub
Version		:	0.3.8
Release		:	17.0.10.rel%{?dist}
Summary		:	An HTML5 compliant parsing library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://download.netsurf-browser.org/libs/releases/

Source0		:	%{name}-%{version}-src.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	doxygen
BuildRequires	:	gcc
BuildRequires	:	make
BuildRequires	:	netsurf-buildsystem

#-----------------------------------------------------------------------------
%description
Hubbub is an HTML5 compliant parsing library,
written in C. It was developed as part of
the NetSurf project.
 
The HTML5 specification defines a parsing algorithm,
based on the behavior of mainstream browsers,
which provides instructions for how to parse all markup,
both valid and invalid. As a result, Hubbub parses web
content well.
 
Features:
* Parses HTML, good and bad
* Simple C API
* Fast
* Character encoding detection
* Well-tested (~90% test coverage)
* Portable

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README
%license COPYING
%{_libdir}/%{name}.so.0*

#=============================================================================
%package		devel

Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:       %{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root, -)
%license COPYING
%{_includedir}/hubbub/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%package		doc

Summary		:	Documentation of %{name} API

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
The %{name}-doc package contains documentation files
for %{name}.

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root, -)
%license COPYING
%doc docs/Architecture docs/Macros docs/Todo docs/Treebuilder docs/Updated
%doc docs/html

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__make}						\
	%{_smp_mflags}					\
	PREFIX=%{_prefix}				\
	COMPONENT_TYPE=lib-shared			\

%{__make}						\
	%{_smp_mflags}					\
	PREFIX=%{_prefix}				\
	COMPONENT_TYPE=lib-shared			\
	docs

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	PREFIX=%{_prefix}				\
	DESTDIR=%{buildroot}				\
	COMPONENT_TYPE=lib-shared			\
	install

#-----------------------------------------------------------------------------
%changelog
